// 初始化状态应用注解
const initState = {
  // 表格数据
  info3: {
    list: [] as any,
    total: 0,
  },
  // 表格顶部数字数据
  infoNum3: [],
  // 查看和审核的详细信息
  lookInfo: {
    info:{},
    list:[]
  } as any,
};

type LoginActionType =
  | { type: "stores3/getList"; payload: any }
  | { type: "stores3/getListNum"; payload: any }
  | { type: "stores3/getLookInfo"; payload: any }
// 频道 reducer
export default function stores3Reducer(
  state = initState,
  action: LoginActionType
) {
  switch (action.type) {
    // 表格数据1
    case "stores3/getList":
      return { ...state, info3: action.payload };
    // 表格顶部数字数据1
    case "stores3/getListNum":
      return { ...state, infoNum3: action.payload };
    // 查看和审核的详细数据
    case "stores3/getLookInfo":
      return { ...state, lookInfo: action.payload };
    default:
      return state;
  }
}
